| Home | Libraries | People | FAQ | More

### io_service::service

Base class for all `io_service` services.

    class service :
      noncopyable

##### Member Functions

Name | Description
--- | ---
get_io_service | Get the io_service object that owns the service.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.

##### Protected Member Functions

Name | Description
--- | ---
service | Constructor.
~service | Destructor.

##### Requirements

Header: `boost/asio/io_service.hpp`

Convenience header: `boost/asio.hpp`